That is cool. I am using latest perl version though. Thank you.

On Mar 22, 2013 2:56 PM, "Chris Nighswonger" <cnighswonger@foundations.edu> wrote:
On Fri, Mar 22, 2013 at 7:48 AM, Emma wasanzy <emma.wasanzy@gmail.com> wrote:

Hello,

I have noticed that, the webmin API doesnt support the use of strict and warning. Because any time I tried using them, I get so many "Global ...." errors which are related to the API. Why isn't the API using strict?



I'm sure only the webmin developer knows why he did not use strict, however, you can still use it. Just initialize vars you intend on importing thus:

#!/usr/bin/perl

our( %in, %text, %config );

use strict;
use warnings;

etc.....

Older Perl did not support the 'our' pragma, but 'vars.' [1] So keep that in mind if you are using an older Perl.

Kind Regards,
Chris

[1] http://perldoc.perl.org/vars.html

------------------------------------------------------------------------------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_d2d_mar
-
Forwarded by the Webmin development list at webmin-devel@webmin.com
To remove yourself from this list, go to
http://lists.sourceforge.net/lists/listinfo/webadmin-devel